org.apache.jmeter.protocol.jms.sampler

## Class Receiver

- java.lang.Object
- - org.apache.jmeter.protocol.jms.sampler.Receiver

- All Implemented Interfaces:
    Runnable

      public final class Receiver
      extends Object
      implements Runnable

  Receiver of pseudo-synchronous reply messages.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Receiver` | `createReceiver(javax.jms.ConnectionFactory factory, javax.jms.Destination receiveQueue, String principal, String credentials, boolean useResMsgIdAsCorrelId, String jmsSelector)` Create a receiver to process responses.
    `void` | `deactivate()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createReceiver

          public static Receiver createReceiver(javax.jms.ConnectionFactory factory,
                                                javax.jms.Destination receiveQueue,
                                                String principal,
                                                String credentials,
                                                boolean useResMsgIdAsCorrelId,
                                                String jmsSelector)
                                         throws javax.jms.JMSException

      Create a receiver to process responses.
      Parameters:
        `factory` - connection factory to use
        `receiveQueue` - name of the receiving queue
        `principal` - user name to use for connecting to the queue
        `credentials` - credentials to use for connecting to the queue
        `useResMsgIdAsCorrelId` - `true` if should use JMSMessageId, `false` if should use JMSCorrelationId
        `jmsSelector` - JMS selector
      Returns:
        the Receiver which will process the responses
      Throws:
        `javax.jms.JMSException` - when creating the receiver fails

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### deactivate

          public void deactivate()

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.